<script setup lang="ts">
import type { BaseImage } from '@/types/base';
import { ArrowRight } from 'slippers-ui/icons';

interface Link {
  text: string;
  logo?: BaseImage;
  config: {
    href: string;
    dataGaName: string;
    dataGaLocation: string;
  };
}

defineProps({
  title: {
    type: String,
    required: false,
  },
  links: {
    type: Array as PropType<Link[]>,
    required: false,
  },
});
</script>

<template>
  <section class="gartner-spotlight">
    <SlpContainer>
      <SlpRow>
        <SlpColumn cols="6">
          <SlpTypography variant="heading2-bold" tag="h2" class="gartner-spotlight__title">
            {{ title }}
          </SlpTypography>
        </SlpColumn>
        <SlpColumn cols="6">
          <div v-for="link in links" :key="link.text" class="slp-mb-24">
            <img v-if="link.logo" :src="link.logo.config.src" :alt="link.logo.altText" class="slp-mt-24" />
            <a
              :href="link.config.href"
              :data-ga-name="link.config.dataGaName"
              :data-ga-location="link.config.dataGaLocation"
              >{{ link.text }}<SlpIcon :icon="ArrowRight" class="slp-ml-8"
            /></a>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.gartner-spotlight {
  background-color: $color-surface-700;
  color: $color-text-50;
  background-image: url('/images/backgrounds/shield-logo.png');
  background-repeat: no-repeat;
  background-position: 0% 100%;
  padding: $spacing-96 0;

  @media (max-width: $breakpoint-md) {
    padding: $spacing-64 0;
  }

  &__title {
    letter-spacing: -1.5px;
  }

  a {
    color: $color-text-50;
    display: block;
    margin-top: $spacing-24;
    font-size: 24px;
    font-weight: 400;
    line-height: 32px;
    letter-spacing: -0.48px;

    .slp-icon {
      transition: transform 0.2s ease-in-out;
    }

    &:hover {
      .slp-icon {
        transform: translateX(8px);
      }
    }

    .slp-icon :deep(path) {
      fill: $color-surface-50;
    }
  }
}
</style>
